Search found 232 matches

Go to advanced search

by amrit3701
Tue Aug 13, 2019 3:00 pm
Forum: Developers corner
Topic: Query related to observers in FreeCAD
Replies: 2
Views: 113

Re: Query related to observers in FreeCAD

Last year, I created an ticket (https://www.freecadweb.org/tracker/view.php?id=3518#c13392) related to bug in expression and it is not properly fixed yet. Now, I want to fix this issue on Python side. Do we have an observer which run before merging new document in the active document. As I unable t...
by amrit3701
Tue Aug 13, 2019 11:54 am
Forum: Developers corner
Topic: Query related to observers in FreeCAD
Replies: 2
Views: 113

Query related to observers in FreeCAD

Last year, I created an ticket (https://www.freecadweb.org/tracker/view.php?id=3518#c13392) related to bug in expression and it is not properly fixed yet. Now, I want to fix this issue on Python side. Do we have an observer which run before merging new document in the active document. As I unable to...
by amrit3701
Sun Aug 11, 2019 6:22 pm
Forum: Open discussion
Topic: BCF Support GSoC Proposal
Replies: 138
Views: 6231

Re: BCF Support GSoC Proposal

Kunda1 wrote:
Sat Aug 10, 2019 5:07 pm
The blue colored text is also harsh in the dark theme
+1
by amrit3701
Sun Aug 11, 2019 6:02 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

When user will click on edit button, a new dialog box will be opened like rebar distribution dialog box, in which user will give input data. Please check if it is user friendly or may suggest better way. I tested your code and currently it is only working through the Python console. So, I suggest t...
by amrit3701
Wed Aug 07, 2019 1:58 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

Suraj Dadral wrote:
Sat Aug 03, 2019 4:56 pm

Please check and give your suggestions.
Looks good! :)
by amrit3701
Sun Jul 28, 2019 5:32 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

I have created user documentation for work done till now. Documentation page for TwoTiesSixRebars Column Reinforcement: https://www.freecadweb.org/wiki/Arch_Rebar_ColumnReinforcement_TwoTiesSixRebars Documentation page for Circular Column Reinforcement: https://www.freecadweb.org/wiki/Arch_Rebar_Ci...
by amrit3701
Mon Jul 22, 2019 4:21 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

Hello everyone, I have completed creating and editing of TwoTiesSixRebars column reinforcement through UI. commit Please test it and let me know if you want any changes. Hi @Suraj, I have reviewed and test your code. Everything is good. Some suggestions: I saw that you are using `print` function to...
by amrit3701
Thu Jul 18, 2019 1:40 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

Suraj Dadral wrote:
Thu Jul 18, 2019 1:08 pm
In below image, in case of two ties column reinforcement, do we keep "Bent Angle" and "Extension Factor" of all the ties different or they will also be same?
I think bent angle and extension factor should be same for all ties in the column because all ties have same diameter.
by amrit3701
Wed Jul 17, 2019 2:58 pm
Forum: Open discussion
Topic: Conference
Replies: 16
Views: 776

Re: Conference

hardeeprai wrote:
Sun Jul 14, 2019 4:49 am
Has FreeCAD developers / users ever conducted any conference?

I might be good, if we have one in near future.

What is your opinion?
Are you planning to conduct FreeCAD conference? If yes, I will also take part in the conference. :)
by amrit3701
Mon Jul 15, 2019 5:10 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 187
Views: 10092

Re: Automate Reinforcement GSoC proposal

The issue has been resolved :) by setting placement of line (created using draft) before creating rebars. Related code snippet: pl = FreeCAD.Placement() pl.Rotation.Q = (0.5, 0.5, 0.5, 0.5) for points in points_list: line = Draft.makeWire( points, placement=pl, closed=False, face=True, support=None...

Go to advanced search